com.unitech.lib.types

## Enum AccessMode

- java.lang.Object
- - java.lang.Enum<AccessMode>
  - - com.unitech.lib.types.AccessMode

- All Implemented Interfaces:
    Serializable, Comparable<AccessMode>

      public enum AccessMode
      extends Enum<AccessMode>

  Enum representing different access modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `executable`
    `feature`
    `readOnly`
    `readWrite`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccessMode` | `fromValue(int value)` Returns the AccessMode enum corresponding to the given integer value.
    `int` | `getCode()` Returns the integer code of the access mode.
    `String` | `toString()` Returns the string representation of the access mode.
    `int` | `value()` Returns the integer value of the access mode.
    `static AccessMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccessMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### readOnly

          public static final AccessMode readOnly

    - #### readWrite

          public static final AccessMode readWrite

    - #### executable

          public static final AccessMode executable

    - #### feature

          public static final AccessMode feature

  - ### Method Detail

    - #### values

          public static AccessMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessMode c : AccessMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Returns the integer value of the access mode.
      Returns:
        The integer value of the access mode.

    - #### getCode

          public int getCode()

      Returns the integer code of the access mode.
      Returns:
        The integer code of the access mode.

    - #### toString

          public String toString()

      Returns the string representation of the access mode.
      Overrides:
        `toString` in class `Enum<AccessMode>`
      Returns:
        The string representation of the access mode.

    - #### fromValue

          public static AccessMode fromValue(int value)
                                      throws IllegalArgumentException

      Returns the AccessMode enum corresponding to the given integer value.
      Parameters:
        `value` - The integer value to match against the AccessMode enum values.
      Returns:
        The AccessMode enum corresponding to the given integer value.
      Throws:
        `IllegalArgumentException` - If the given integer value does not match any AccessMode enum value.